Registry Model Containers - Get

取得容器。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/models/{modelName}?api-version=2026-03-01

URI 參數

名稱 位於 必要 類型 Description
modelName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$

容器名稱。 這是區分大小寫的。

registryName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{2,32}$

Azure Machine Learning 登錄的名稱。 這是不區分大小寫的

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

ModelContainer

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Get Registry Model Container.

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registry123/models/testContainer?api-version=2026-03-01

範例回覆

{
  "name": "testContainer",
  "type": "Microsoft.MachineLearningServices/registries/models",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registry123/models/testContainer",
  "properties": {
    "description": "Model container description",
    "tags": {
      "tag1": "value1",
      "tag2": "value2"
    }
  },
  "systemData": {
    "createdAt": "2020-12-01T12:00:00.000Z",
    "createdBy": "John Smith",
    "createdByType": "User",
    "lastModifiedAt": "2020-12-01T12:00:00.000Z",
    "lastModifiedBy": "John Smith",
    "lastModifiedByType": "User"
  }
}

定義

名稱 Description
AssetProvisioningState

註冊表資產的佈建狀態。

createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

ModelContainer

Azure Resource Manager 資源信封。

ModelContainerProperties
systemData

與建立和上次修改資源相關的元數據。

AssetProvisioningState

註冊表資產的佈建狀態。

Description
Succeeded
Failed
Canceled
Creating
Updating
Deleting

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ModelContainer

Azure Resource Manager 資源信封。

名稱 類型 Description
id

string

資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

資源的名稱

properties

ModelContainerProperties

[必要]實體的其他屬性。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

type

string

資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts”

ModelContainerProperties

名稱 類型 預設值 Description
description

string

資產描述文字。

isArchived

boolean

False

資產是否已封存?

latestVersion

string

此容器內的最新版本。

nextVersion

string

下一個自動增量版本

properties

object

資產屬性字典。

provisioningState

AssetProvisioningState

模型容器的佈建狀態。

tags

object

標記字典。 標記可以新增、移除和更新。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。